const webpack = require("webpack");
const path = require("path");

module.exports = (env, argv) => {
  const dist = path.resolve(__dirname, "dist");
  const cssLoaders = [
      {
      loader: "file-loader"
    },
    {
      loader: "extract-loader"
    },
    {
      loader: "css-loader",
      options: { importLoaders: 2 }
    },
    {
      loader: "postcss-loader"
    }
  ];

  return {
    entry: {
      index: "./src/js/test.js",
    },
    output: {
      path: dist
    },
    module: {
      rules: [
        {
          test: /\.s?css$/,
          exclude: [/elm-stuff/, /node_modules/],
          use: cssLoaders
        },
        {
          test: /\.png$/,
          loader: "file-loader"
        },
      ]
    },
    resolve: {
      extensions: [".js", ".css"],
      modules: ["node_modules"]
    }
}};
